detail::node_handler Struct Reference

`#include <attr.hpp>`

Inheritance diagram for detail::node_handler:
[legend]
Collaboration diagram for detail::node_handler:
[legend]

## Static Public Member Functions

static void | set_value (osmium::Node &node, attr::_location location) noexcept
Static Public Member Functions inherited from detail::object_handler
template<typename TDummy >
static void | set_value (osmium::OSMObject &, const TDummy &) noexcept
static void | set_value (osmium::OSMObject &object, attr::_id id) noexcept
static void | set_value (osmium::OSMObject &object, attr::_version version) noexcept
static void | set_value (osmium::OSMObject &object, attr::_visible visible) noexcept
static void | set_value (osmium::OSMObject &object, attr::_deleted deleted) noexcept
static void | set_value (osmium::OSMObject &object, attr::_timestamp timestamp) noexcept
static void | set_value (osmium::OSMObject &object, attr::_cid changeset) noexcept
static void | set_value (osmium::OSMObject &object, attr::_uid uid) noexcept

## Member Function Documentation

static void detail::node_handler::set_value | ( | osmium::Node & | node,
|  | attr::_location | location
| ) |  |

inline static noexcept

The documentation for this struct was generated from the following file:

- osmium/builder/attr.hpp